Vla-put-closed2

提供: GizmoLabs
移動先: 案内検索
構文
(vla-put-closed2 vla-object bool)


機能
スプラインが開いたものか閉じたものかを取得する。


引数
  • vla-object … SplineのVLAオブジェクト
  • bool … :vlax-true (閉じてる) or :vlax-false (閉じてない)


戻り値
nil


サンプル
(vl-load-com)
(defun c:Example_Closed2()
    ;; スプラインの close プロパティをトグルするサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; スプライン生成
    (setq startTan (vlax-3d-point 0.5 0.5 0)
          endTan (vlax-3d-point 0.5 0.5 0))
    (setq fitPoints (vlax-make-safearray vlax-vbDouble '(0 . 8)))
    (vlax-safearray-fill fitPoints '(1 1 0
                                     5 5 0
                                     10 0 0
                                    ))
  
    ;; スプラインの作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan))

    ;; closed プロパティを閉じるにセット
    (vla-put-Closed2 splineObj :vlax-true)    ;; Close Polyline
    (vla-Regen doc :vlax-true)

    ;; クローズプロパティを表示
    (setq closedState (if (= (vla-get-Closed2 splineObj) :vlax-true) "Closed" "Open"))
    (alert (strcat "大丈夫、スプラインは " closedState "です"))

    ;; closed プロパティを閉じてないにセット
    (vla-put-Closed2 splineObj :vlax-false)      ;; Open Polyline
    (vla-Regen doc :vlax-true)

    ;; 状態を取得
    (setq closedState (if (= (vla-get-Closed2 splineObj) :vlax-true) "Closed" "Open"))
    (alert (strcat "大丈夫、スプラインは " closedState  "です。"))
)


関連事項